%Code By: Tori Smith
%Using Colebrook equation to find friction value

function f = colebrook(e,D,Re)
%iterations need to be less than 100
x=0;
if x>100
    disp('NaN');
elseif Re<4000
        disp('Colebrook equation is only used for turbulent flows');
elseif e<0
    disp('surface roughness cannot be negative');
else
    f = fzero(@(f) 1/sqrt(f) +2*log10(((e/D)/3.7)+(2.51/(Re*sqrt(f)))), [1e-18,1]);
    x= x+1;
end
end


